it.csi.mddtools.guigen

## Interface GUIModel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface GUIModel
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'GUI Model'. Modello di un'applicazione

  The following features are supported:

  - `Structure`
  - `Beahviors`
  - `Cod Prodotto`
  - `Cod Componente`
  - `Versione Prodotto`
  - `Versione Componente`
  - `Typedefs`
  - `App Data Defs`
  - `Portale`
  - `Security Model`
  - `Ext Security Model`
  - `Target Platform`
  - `Activation Model`
  See Also:
    `GuigenPackage.getGUIModel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActivationModel` | `getActivationModel()` Returns the value of the 'Activation Model' containment reference
    `ApplicationDataDefs` | `getAppDataDefs()` Returns the value of the 'App Data Defs' containment reference
    `GUIBehaviors` | `getBeahviors()` Returns the value of the 'Beahviors' containment reference
    `java.lang.String` | `getCodComponente()` Returns the value of the 'Cod Componente' attribute
    `java.lang.String` | `getCodProdotto()` Returns the value of the 'Cod Prodotto' attribute
    `SecurityModel` | `getExtSecurityModel()` Returns the value of the 'Ext Security Model' reference
    `PortalNames` | `getPortale()` Returns the value of the 'Portale' attribute.
    `SecurityModel` | `getSecurityModel()` Returns the value of the 'Security Model' containment reference
    `GUIStructure` | `getStructure()` Returns the value of the 'Structure' containment reference
    `TargetPlatform` | `getTargetPlatform()` Returns the value of the 'Target Platform' containment reference
    `Typedefs` | `getTypedefs()` Returns the value of the 'Typedefs' containment reference
    `java.lang.String` | `getVersioneComponente()` Returns the value of the 'Versione Componente' attribute
    `java.lang.String` | `getVersioneProdotto()` Returns the value of the 'Versione Prodotto' attribute
    `void` | `setActivationModel(ActivationModel value)` Sets the value of the '`Activation Model`' containment reference
    `void` | `setAppDataDefs(ApplicationDataDefs value)` Sets the value of the '`App Data Defs`' containment reference
    `void` | `setBeahviors(GUIBehaviors value)` Sets the value of the '`Beahviors`' containment reference
    `void` | `setCodComponente(java.lang.String value)` Sets the value of the '`Cod Componente`' attribute
    `void` | `setCodProdotto(java.lang.String value)` Sets the value of the '`Cod Prodotto`' attribute
    `void` | `setExtSecurityModel(SecurityModel value)` Sets the value of the '`Ext Security Model`' reference
    `void` | `setPortale(PortalNames value)` Sets the value of the '`Portale`' attribute
    `void` | `setSecurityModel(SecurityModel value)` Sets the value of the '`Security Model`' containment reference
    `void` | `setStructure(GUIStructure value)` Sets the value of the '`Structure`' containment reference
    `void` | `setTargetPlatform(TargetPlatform value)` Sets the value of the '`Target Platform`' containment reference
    `void` | `setTypedefs(Typedefs value)` Sets the value of the '`Typedefs`' containment reference
    `void` | `setVersioneComponente(java.lang.String value)` Sets the value of the '`Versione Componente`' attribute
    `void` | `setVersioneProdotto(java.lang.String value)` Sets the value of the '`Versione Prodotto`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getStructure

          GUIStructure getStructure()

      Returns the value of the 'Structure' containment reference.

      If the meaning of the 'Structure' containment reference isn't clear, there really should be more of a description here...

      Struttura della user interface
      Returns:
        the value of the 'Structure' containment reference.
      See Also:
        `setStructure(GUIStructure)`, `GuigenPackage.getGUIModel_Structure()`

    - #### setStructure

          void setStructure(GUIStructure value)

      Sets the value of the '`Structure`' containment reference.
      Parameters:
        `value` - the new value of the 'Structure' containment reference.
      See Also:
        `getStructure()`

    - #### getBeahviors

          GUIBehaviors getBeahviors()

      Returns the value of the 'Beahviors' containment reference.

      If the meaning of the 'Beahviors' containment reference isn't clear, there really should be more of a description here...

      [[TODO: add documentation here]]
      Returns:
        the value of the 'Beahviors' containment reference.
      See Also:
        `setBeahviors(GUIBehaviors)`, `GuigenPackage.getGUIModel_Beahviors()`

    - #### setBeahviors

          void setBeahviors(GUIBehaviors value)

      Sets the value of the '`Beahviors`' containment reference.
      Parameters:
        `value` - the new value of the 'Beahviors' containment reference.
      See Also:
        `getBeahviors()`

    - #### getCodProdotto

          java.lang.String getCodProdotto()

      Returns the value of the 'Cod Prodotto' attribute.

      If the meaning of the 'Cod Prodotto' attribute isn't clear, there really should be more of a description here...

      codice prodotto (caratteri minuscoli)
      Returns:
        the value of the 'Cod Prodotto' attribute.
      See Also:
        `setCodProdotto(String)`, `GuigenPackage.getGUIModel_CodProdotto()`

    - #### setCodProdotto

          void setCodProdotto(java.lang.String value)

      Sets the value of the '`Cod Prodotto`' attribute.
      Parameters:
        `value` - the new value of the 'Cod Prodotto' attribute.
      See Also:
        `getCodProdotto()`

    - #### getCodComponente

          java.lang.String getCodComponente()

      Returns the value of the 'Cod Componente' attribute.

      If the meaning of the 'Cod Componente' attribute isn't clear, there really should be more of a description here...

      codice componente (caratteri minuscoli)
      Returns:
        the value of the 'Cod Componente' attribute.
      See Also:
        `setCodComponente(String)`, `GuigenPackage.getGUIModel_CodComponente()`

    - #### setCodComponente

          void setCodComponente(java.lang.String value)

      Sets the value of the '`Cod Componente`' attribute.
      Parameters:
        `value` - the new value of the 'Cod Componente' attribute.
      See Also:
        `getCodComponente()`

    - #### getVersioneProdotto

          java.lang.String getVersioneProdotto()

      Returns the value of the 'Versione Prodotto' attribute.

      If the meaning of the 'Versione Prodotto' attribute isn't clear, there really should be more of a description here...

      versione del prodotto
      Returns:
        the value of the 'Versione Prodotto' attribute.
      See Also:
        `setVersioneProdotto(String)`, `GuigenPackage.getGUIModel_VersioneProdotto()`

    - #### setVersioneProdotto

          void setVersioneProdotto(java.lang.String value)

      Sets the value of the '`Versione Prodotto`' attribute.
      Parameters:
        `value` - the new value of the 'Versione Prodotto' attribute.
      See Also:
        `getVersioneProdotto()`

    - #### getVersioneComponente

          java.lang.String getVersioneComponente()

      Returns the value of the 'Versione Componente' attribute.

      If the meaning of the 'Versione Componente' attribute isn't clear, there really should be more of a description here...

      versione del componente
      Returns:
        the value of the 'Versione Componente' attribute.
      See Also:
        `setVersioneComponente(String)`, `GuigenPackage.getGUIModel_VersioneComponente()`

    - #### setVersioneComponente

          void setVersioneComponente(java.lang.String value)

      Sets the value of the '`Versione Componente`' attribute.
      Parameters:
        `value` - the new value of the 'Versione Componente' attribute.
      See Also:
        `getVersioneComponente()`

    - #### getTypedefs

          Typedefs getTypedefs()

      Returns the value of the 'Typedefs' containment reference.

      If the meaning of the 'Typedefs' containment reference isn't clear, there really should be more of a description here...

      Tipi utilizzati nell'applicazione.
      Returns:
        the value of the 'Typedefs' containment reference.
      See Also:
        `setTypedefs(Typedefs)`, `GuigenPackage.getGUIModel_Typedefs()`

    - #### setTypedefs

          void setTypedefs(Typedefs value)

      Sets the value of the '`Typedefs`' containment reference.
      Parameters:
        `value` - the new value of the 'Typedefs' containment reference.
      See Also:
        `getTypedefs()`

    - #### getAppDataDefs

          ApplicationDataDefs getAppDataDefs()

      Returns the value of the 'App Data Defs' containment reference.

      If the meaning of the 'App Data Defs' containment reference isn't clear, there really should be more of a description here...

      Definizione degli application data utilizzati nell'applicazione
      Returns:
        the value of the 'App Data Defs' containment reference.
      See Also:
        `setAppDataDefs(ApplicationDataDefs)`, `GuigenPackage.getGUIModel_AppDataDefs()`

    - #### setAppDataDefs

          void setAppDataDefs(ApplicationDataDefs value)

      Sets the value of the '`App Data Defs`' containment reference.
      Parameters:
        `value` - the new value of the 'App Data Defs' containment reference.
      See Also:
        `getAppDataDefs()`

    - #### getPortale

          PortalNames getPortale()

      Returns the value of the 'Portale' attribute. The literals are from the enumeration `PortalNames`.

      If the meaning of the 'Portale' attribute isn't clear, there really should be more of a description here...

      OBSOLETE. Il poretale/cartuccia di layout èeve essere impostata nel workflow di generazione.
      Returns:
        the value of the 'Portale' attribute.
      See Also:
        `PortalNames`, `setPortale(PortalNames)`, `GuigenPackage.getGUIModel_Portale()`

    - #### setPortale

          void setPortale(PortalNames value)

      Sets the value of the '`Portale`' attribute.
      Parameters:
        `value` - the new value of the 'Portale' attribute.
      See Also:
        `PortalNames`, `getPortale()`

    - #### getSecurityModel

          SecurityModel getSecurityModel()

      Returns the value of the 'Security Model' containment reference.

      If the meaning of the 'Security Model' containment reference isn't clear, there really should be more of a description here...

      Modello di sicurezza dell'applicazione. DEPRECATO: utilizzare un securitymodel definito esternamente e referenziato nella property extSecurityModel
      Returns:
        the value of the 'Security Model' containment reference.
      See Also:
        `setSecurityModel(SecurityModel)`, `GuigenPackage.getGUIModel_SecurityModel()`

    - #### setSecurityModel

          void setSecurityModel(SecurityModel value)

      Sets the value of the '`Security Model`' containment reference.
      Parameters:
        `value` - the new value of the 'Security Model' containment reference.
      See Also:
        `getSecurityModel()`

    - #### getExtSecurityModel

          SecurityModel getExtSecurityModel()

      Returns the value of the 'Ext Security Model' reference.

      If the meaning of the 'Ext Security Model' reference isn't clear, there really should be more of a description here...

      Modello di sicurezza dell'applicazione. Deve essere definito esternamente in un modello apposito.
      Returns:
        the value of the 'Ext Security Model' reference.
      See Also:
        `setExtSecurityModel(SecurityModel)`, `GuigenPackage.getGUIModel_ExtSecurityModel()`

    - #### setExtSecurityModel

          void setExtSecurityModel(SecurityModel value)

      Sets the value of the '`Ext Security Model`' reference.
      Parameters:
        `value` - the new value of the 'Ext Security Model' reference.
      See Also:
        `getExtSecurityModel()`

    - #### getTargetPlatform

          TargetPlatform getTargetPlatform()

      Returns the value of the 'Target Platform' containment reference.

      If the meaning of the 'Target Platform' containment reference isn't clear, there really should be more of a description here...

      Serve per generare un pacchetto deployabile su un application server piuttosto che per un altro.
      Returns:
        the value of the 'Target Platform' containment reference.
      See Also:
        `setTargetPlatform(TargetPlatform)`, `GuigenPackage.getGUIModel_TargetPlatform()`

    - #### setTargetPlatform

          void setTargetPlatform(TargetPlatform value)

      Sets the value of the '`Target Platform`' containment reference.
      Parameters:
        `value` - the new value of the 'Target Platform' containment reference.
      See Also:
        `getTargetPlatform()`

    - #### getActivationModel

          ActivationModel getActivationModel()

      Returns the value of the 'Activation Model' containment reference.

      If the meaning of the 'Activation Model' containment reference isn't clear, there really should be more of a description here...

      Configurazione delle (eventuali) specifiche di attivazione dell'applicazione.
      Returns:
        the value of the 'Activation Model' containment reference.
      See Also:
        `setActivationModel(ActivationModel)`, `GuigenPackage.getGUIModel_ActivationModel()`

    - #### setActivationModel

          void setActivationModel(ActivationModel value)

      Sets the value of the '`Activation Model`' containment reference.
      Parameters:
        `value` - the new value of the 'Activation Model' containment reference.
      See Also:
        `getActivationModel()`